Browser configuration for LMS

Do I need to configure my browser for LMS?

Answer ID 324 | Last updated on 09/02/2022 03.05 PM

The version of LMS used at UWA is most compatible with Google Chrome and Mozilla Firefox. Other browsers may have limited support for LMS content. To find out whether your browser is supported, visit the Student LMS Help section of LMS.

For Student IT Support contact the University Library or Email Us to submit an enquiry.

Was this answer helpful?